import sys

__all__ = ["gds_static_item"]

class gds_static_item(object):
    """ gds_static_item: base class for objects that don't do internal calculations """
    def is_calculated(self):
        """ returns True if the object is calculated """
        return True

    def calc(self, Force = False):
        """ calculates the object """
        pass        
        #self.__calc__() #should be overwritten
    
    def clear(self):
        """ clears content from the object """
        pass
